summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xsource.local/a/aaa_elflibs/aaa_elflibs.SlackBuild97
-rw-r--r--source.local/a/aaa_elflibs/slack-desc19
-rw-r--r--source.local/a/aaa_elflibs/symlinks-to-tracked-libs64
-rw-r--r--source.local/a/aaa_elflibs/tracked-files9
4 files changed, 189 insertions, 0 deletions
diff --git a/source.local/a/aaa_elflibs/aaa_elflibs.SlackBuild b/source.local/a/aaa_elflibs/aaa_elflibs.SlackBuild
new file mode 100755
index 0000000..9168eb9
--- /dev/null
+++ b/source.local/a/aaa_elflibs/aaa_elflibs.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2012 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified 2013 by Eric Hameleers <alien at slackware.com> for ARM port.
+
+
+PKGNAM=aaa_elflibs
+VERSION=${VERSION:-14.0}
+BUILD=${BUILD:-4}
+
+if [ -e $CWD/machine.conf ]; then
+ . $CWD/machine.conf ]
+elif [ -e /etc/slackbuild/machine.conf ]; then
+ . /etc/slackbuild/machine.conf ]
+else
+ # Automatically determine the architecture we're building on:
+ MARCH=$( uname -m )
+ if [ -z "$ARCH" ]; then
+ case "$MARCH" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$MARCH ;;
+ esac
+ fi
+ # Set CFLAGS/CXXFLAGS and LIBDIRSUFFIX:
+ if [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+ else
+ LIBDIRSUFFIX=""
+ fi
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-${PKGNAM}
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+if ncursesw5-config --libs |grep -q tinfo ; then
+ if ! grep -q libtinfo symlinks-to-tracked-libs ; then
+ echo /usr/lib/libtinfo.so.5 >> symlinks-to-tracked-libs
+ fi
+fi
+
+cd $PKG
+cat $CWD/symlinks-to-tracked-libs \
+ | sed -e "s#^/lib/#/lib${LIBDIRSUFFIX}/#" \
+ -e "s#^/usr/lib/#/usr/lib${LIBDIRSUFFIX}/#" \
+ | while read library ; do
+ ( [ ! -e $library ] && continue
+ echo "Adding $library"
+ mkdir -p $(dirname $library | cut -b2- )
+ cd $(dirname $library | cut -b2- )
+ rm -f $(basename $library)
+ cp -a $library .
+ rm -f $(readlink $library)
+ cp -a $(dirname $library)/$(readlink $library) .
+ )
+done
+cat $CWD/tracked-files \
+ | sed -e "s#^/lib/#/lib${LIBDIRSUFFIX}/#" \
+ -e "s#^/usr/lib/#/usr/lib${LIBDIRSUFFIX}/#" \
+ | while read library ; do
+ ( [ ! -e $library ] && continue
+ echo "Adding $library"
+ mkdir -p $(dirname $library | cut -b2- )
+ cd $(dirname $library | cut -b2- )
+ rm -f $(basename $library)
+ cp -a $library .
+ )
+done
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/${PKGNAM}-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source.local/a/aaa_elflibs/slack-desc b/source.local/a/aaa_elflibs/slack-desc
new file mode 100644
index 0000000..29a6c8f
--- /dev/null
+++ b/source.local/a/aaa_elflibs/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+aaa_elflibs: aaa_elflibs (shared libraries needed by many programs)
+aaa_elflibs:
+aaa_elflibs: This is a collection of shared libraries needed to run Linux programs.
+aaa_elflibs: ELF (Executable and Linking Format) is the standard Linux binary
+aaa_elflibs: format. These libraries are gathered from other Slackware packages
+aaa_elflibs: and are intended to give a fairly complete initial set of libraries.
+aaa_elflibs: This package should be not upgraded or reinstalled (it could copy
+aaa_elflibs: over newer library versions).
+aaa_elflibs:
+aaa_elflibs:
+aaa_elflibs:
diff --git a/source.local/a/aaa_elflibs/symlinks-to-tracked-libs b/source.local/a/aaa_elflibs/symlinks-to-tracked-libs
new file mode 100644
index 0000000..7b022aa
--- /dev/null
+++ b/source.local/a/aaa_elflibs/symlinks-to-tracked-libs
@@ -0,0 +1,64 @@
+/lib/libacl.so.1
+/lib/libattr.so.1
+/lib/libbz2.so.1
+/lib/libbz2.so.1.0
+/lib/libcap.so.2
+/lib/libdm.so.0
+/lib/libfuse.so.2
+/lib/libgpm.so.1
+/lib/libgpm.so.2
+/lib/liblzma.so.5
+/lib/libncurses.so.5
+/lib/libncursesw.so.5
+/lib/libpopt.so.0
+/lib/libsysfs.so.2
+/lib/libtermcap.so.2
+/lib/libz.so.1
+/usr/lib/libasound.so.2
+/usr/lib/libcurl.so.2
+/usr/lib/libcurl.so.3
+/usr/lib/libcurl.so.4
+/usr/lib/libelf.so.0
+/usr/lib/libexpat.so.0
+/usr/lib/libexpat.so.1
+/usr/lib/libform.so.5
+/usr/lib/libformw.so.5
+/usr/lib/libfreetype.so.6
+/usr/lib/libgdbm.so.2
+/usr/lib/libgdbm.so.3
+/usr/lib/libglib-2.0.so.0
+/usr/lib/libgmodule-2.0.so.0
+/usr/lib/libgmp.so.3
+/usr/lib/libgmp.so.10
+/usr/lib/libgmpxx.so.3
+/usr/lib/libgmpxx.so.4
+/usr/lib/libgobject-2.0.so.0
+/usr/lib/libgthread-2.0.so.0
+/usr/lib/libhistory.so.5
+/usr/lib/libidn.so.11
+/usr/lib/libjpeg.so.62
+/usr/lib/libjpeg.so.8
+/usr/lib/liblber-2.4.so.2
+/usr/lib/libldap-2.4.so.2
+/usr/lib/libltdl.so.3
+/usr/lib/libltdl.so.7
+/usr/lib/libmenu.so.5
+/usr/lib/libmenuw.so.5
+/usr/lib/libmm.so.14
+/usr/lib/libmpfr.so.1
+/usr/lib/libpanel.so.5
+/usr/lib/libpanelw.so.5
+/usr/lib/libpcre.so.0
+/usr/lib/libpcreposix.so.0
+/usr/lib/libpng.so.3
+/usr/lib/libpng.so.14
+/usr/lib/libpng12.so.0
+/usr/lib/libpng14.so.14
+/usr/lib/libreadline.so.5
+/usr/lib/libslang.so.1
+/usr/lib/libslang.so.2
+/usr/lib/libtiff.so.3
+/usr/lib/libusb-0.1.so.4
+/usr/lib/libusb-1.0.so.0
+/usr/lib/libvga.so.1
+/usr/lib/libvgagl.so.1
diff --git a/source.local/a/aaa_elflibs/tracked-files b/source.local/a/aaa_elflibs/tracked-files
new file mode 100644
index 0000000..040ecbb
--- /dev/null
+++ b/source.local/a/aaa_elflibs/tracked-files
@@ -0,0 +1,9 @@
+/lib/libdb-3.1.so
+/lib/libdb-3.3.so
+/lib/libdb-4.2.so
+/lib/libdb-4.4.so
+/lib/libdevmapper.so.1.02
+/usr/lib/libcups.so.2
+/usr/lib/libcupsimage.so.2
+/usr/lib/libgcc_s.so.1
+/usr/lib/libtalloc.so.2